/*
 * Author:      William Chia-Wei Cheng (william@cs.ucla.edu)
 *
 * Copyright (C) 1990-1994, William Cheng.
 *
 * Permission limited to the use, copy, modify, and distribute this software
 * and its documentation for any purpose is hereby granted by the Author without
 * fee, provided that the above copyright notice appear in all copies and
 * that both the copyright notice and this permission notice appear in
 * supporting documentation, and that the name of the Author not be used
 * in advertising or publicity pertaining to distribution of the software
 * without specific, written prior permission.  The Author makes no
 * representations about the suitability of this software for any purpose.
 * It is provided "as is" without express or implied warranty.  All other
 * rights (including the right to sell "tgif" and the right to sell derivative
 * works of tgif) are reserved by the Author.
 *
 * THE AUTHOR DISCLAIMS ALL WARRANTIES WITH REGARD TO THIS SOFTWARE,
 * INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS, IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY SPECIAL, INDIRECT OR
 * CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF
 * USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR
 * OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 *
 * @(#)$Header: /amnt/maui/tangram/u/william/X11/TGIF2/RCS/pattern.e,v 2.21 1994/03/28 05:51:31 william Exp $
 */

#ifndef _PATTERN_E_
#define _PATTERN_E_

extern int	objFill;
extern int	lineStyle;
extern int	lineWidth;
extern int	penPat;
extern int	curSpline;
extern int	curDash;
extern int	rcbRadius;
extern int	useGray;
extern char	patternStr[];

extern int	stickyMenuSelection;

extern void	ResetGrayDetection ARGS_DECL((void));
extern char	* GrayStr ARGS_DECL((int Index));
extern void	GrayCheck ARGS_DECL((int Index));
extern void	EndGrayDetection ARGS_DECL((void));

extern int	ModeMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern void	ChangeAllSelFill ARGS_DECL((int Index));
extern int	FillMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern void	ChangeAllSelLineStyle ARGS_DECL((int Index));
extern void	ChangeAllSelLineType ARGS_DECL((int Index));
extern void	ChangeAllSelLineWidth ARGS_DECL((int Index));
extern void	ChangeAllSelDashes ARGS_DECL((int Index));
extern int	LineWidthMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern int	LineStyleMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern int	LineTypeMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern int	LineDashMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern void	ChangeAllSelPen ARGS_DECL((int Index));
extern int	PenMenu ARGS_DECL((int X, int Y, int TrackMenubar));
extern void	ToggleAllSelLineType ARGS_DECL((void));
extern void	ChangeAllSelRCBRadius ARGS_DECL((int Radius));
extern void	UpdateSelObjs ARGS_DECL((void));

#endif /*_PATTERN_E_*/
